#!/usr/bin/env python3
# vim:fileencoding=utf-8
#
# Address functionality.
#

import isds
import unittest

# Global address.
ad = isds.isds_address()

class TestIsdsAddress(unittest.TestCase):

    def __init__(self, *args, **kwargs):
        super(TestIsdsAddress, self).__init__(*args, **kwargs) # Call the parrents __init__ method.
        #self.ad = isds.isds_address()
        self.ad = None

    #def test_adCode(self):
    #    self.ad = ad
    #    val = 1234
    #    self.assertEqual(self.ad.adCode, None, "Unexpected adCode value.")
    #    self.ad.adCode = val
    #    self.assertEqual(self.ad.adCode, val, "Unexpected adCode value.")
    #    self.ad.adCode = None
    #    self.assertEqual(self.ad.adCode, None, "Unexpected adCode value.")
    #    self.ad.adCode = val
    #    self.assertEqual(self.ad.adCode, val, "Unexpected adCode value.")

    def test_adCity(self):
        self.ad = ad
        val = "City"
        self.assertEqual(self.ad.adCity, None, "Unexpected adCity value.")
        self.ad.adCity = val
        self.assertEqual(self.ad.adCity, val, "Unexpected adCity value.")
        self.ad.adCity = None
        self.assertEqual(self.ad.adCity, None, "Unexpected adCity value.")
        self.ad.adCity = val
        self.assertEqual(self.ad.adCity, val, "Unexpected adCity value.")

    #def test_adDistrict(self):
    #    self.ad = ad
    #    val = "District"
    #    self.assertEqual(self.ad.adDistrict, None, "Unexpected adDistrict value.")
    #    self.ad.adDistrict = val
    #    self.assertEqual(self.ad.adDistrict, val, "Unexpected adDistrict value.")
    #    self.ad.adDistrict = None
    #    self.assertEqual(self.ad.adDistrict, None, "Unexpected adDistrict value.")
    #    self.ad.adDistrict = val
    #    self.assertEqual(self.ad.adDistrict, val, "Unexpected adDistrict value.")

    def test_adStreet(self):
        self.ad = ad
        val = "Street"
        self.assertEqual(self.ad.adStreet, None, "Unexpected adStreet value.")
        self.ad.adStreet = val
        self.assertEqual(self.ad.adStreet, val, "Unexpected adStreet value.")
        self.ad.adStreet = None
        self.assertEqual(self.ad.adStreet, None, "Unexpected adStreet value.")
        self.ad.adStreet = val
        self.assertEqual(self.ad.adStreet, val, "Unexpected adStreet value.")

    def test_adNumberInStreet(self):
        self.ad = ad
        val = "Orientational number"
        self.assertEqual(self.ad.adNumberInStreet, None, "Unexpected adNumberInStreet value.")
        self.ad.adNumberInStreet = val
        self.assertEqual(self.ad.adNumberInStreet, val, "Unexpected adNumberInStreet value.")
        self.ad.adNumberInStreet = None
        self.assertEqual(self.ad.adNumberInStreet, None, "Unexpected adNumberInStreet value.")
        self.ad.adNumberInStreet = val
        self.assertEqual(self.ad.adNumberInStreet, val, "Unexpected adNumberInStreet value.")

    def test_adNumberInMunicipality(self):
        self.ad = ad
        val = "Conscription number"
        self.assertEqual(self.ad.adNumberInMunicipality, None, "Unexpected adNumberInMunicipality value.")
        self.ad.adNumberInMunicipality = val
        self.assertEqual(self.ad.adNumberInMunicipality, val, "Unexpected adNumberInMunicipality value.")
        self.ad.adNumberInMunicipality = None
        self.assertEqual(self.ad.adNumberInMunicipality, None, "Unexpected adNumberInMunicipality value.")
        self.ad.adNumberInMunicipality = val
        self.assertEqual(self.ad.adNumberInMunicipality, val, "Unexpected adNumberInMunicipality value.")

    def test_adZipCode(self):
        self.ad = ad
        val = "Postal code"
        self.assertEqual(self.ad.adZipCode, None, "Unexpected adZipCode value.")
        self.ad.adZipCode = val
        self.assertEqual(self.ad.adZipCode, val, "Unexpected adZipCode value.")
        self.ad.adZipCode = None
        self.assertEqual(self.ad.adZipCode, None, "Unexpected adZipCode value.")
        self.ad.adZipCode = val
        self.assertEqual(self.ad.adZipCode, val, "Unexpected adZipCode value.")

    def test_adState(self):
        self.ad = ad
        val = "State"
        self.assertEqual(self.ad.adState, None, "Unexpected adState value.")
        self.ad.adState = val
        self.assertEqual(self.ad.adState, val, "Unexpected adState value.")
        self.ad.adState = None
        self.assertEqual(self.ad.adState, None, "Unexpected adState value.")
        self.ad.adState = val
        self.assertEqual(self.ad.adState, val, "Unexpected adState value.")
